Package net.shibboleth.shared.spring.custom

# Class SchemaTypeAwareXMLBeanDefinitionReader

java.lang.Object
org.springframework.beans.factory.support.AbstractBeanDefinitionReader
org.springframework.beans.factory.xml.XmlBeanDefinitionReader
net.shibboleth.shared.spring.custom.SchemaTypeAwareXMLBeanDefinitionReader

All Implemented Interfaces:
  `BeanDefinitionReader`, `EnvironmentCapable`

public class SchemaTypeAwareXMLBeanDefinitionReader extends XmlBeanDefinitionReader
An extension to the standard `XmlBeanDefinitionReader` that defaults some settings.

- documentReaderClass property is set to `SchemaTypeAwareBeanDefinitionDocumentReader`
- namespaceAware property is set to true
- validating property is set to false

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader

`VALIDATION_AUTO, VALIDATION_DTD, VALIDATION_NONE, VALIDATION_XSD`

### Fields inherited from class org.springframework.beans.factory.support.AbstractBeanDefinitionReader

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SchemaTypeAwareXMLBeanDefinitionReader(BeanDefinitionRegistry beanRegistry)`
Constructor.

## Method Summary

### Methods inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader

`createBeanDefinitionDocumentReader, createDefaultNamespaceHandlerResolver, createReaderContext, detectValidationMode, doLoadBeanDefinitions, doLoadDocument, getEntityResolver, getNamespaceHandlerResolver, getValidationMode, getValidationModeForResource, isNamespaceAware, loadBeanDefinitions, loadBeanDefinitions, loadBeanDefinitions, loadBeanDefinitions, registerBeanDefinitions, setDocumentLoader, setDocumentReaderClass, setEntityResolver, setErrorHandler, setEventListener, setNamespaceAware, setNamespaceHandlerResolver, setProblemReporter, setSourceExtractor, setValidating, setValidationMode, setValidationModeName`

### Methods inherited from class org.springframework.beans.factory.support.AbstractBeanDefinitionReader

`getBeanClassLoader, getBeanNameGenerator, getEnvironment, getRegistry, getResourceLoader, loadBeanDefinitions, loadBeanDefinitions, loadBeanDefinitions, loadBeanDefinitions, setBeanClassLoader, setBeanNameGenerator, setEnvironment, setResourceLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaTypeAwareXMLBeanDefinitionReader

public SchemaTypeAwareXMLBeanDefinitionReader(BeanDefinitionRegistry beanRegistry)
Constructor.

Parameters:
  `beanRegistry` - the bean definition registry that will be populated by this reader